Summary:        Fastcgi Wrapper
Name:           fastcgi-wrapper
Version:        1.0
Release:        3
# License is a compulsory field so you have to put something there.
License:        none
Source:         %{name}.tgz
# This package doesn't contain any binary files so it's architecture independent, hence
# specify noarch for the BuildArch.
BuildArch:      x86_64
BuildRoot:      %{_tmppath}/%{name}-build
# I don't worry too much about the group since now one uses the rpm except me
# There's a list at /usr/share/doc/packages/rpm/GROUPS but you don't have to use one of them
# I just use System/Base by default and only change it if something more suitable occurs to me
Group:          System/Base
Vendor:         Fastcgi by Denis S. Filimonov
URL:            https://www.linode.com/docs/websites/nginx/nginx-and-perlfastcgi-on-centos-5
Requires:	fcgi-perl
Requires:	nginx
Requires(pre):  /usr/sbin/useradd, /usr/bin/getent

%description
This package provides Denis S. Filimonov's Fastcgi wrapper scripts, packaged to run in /opt

%prep
# the set up macro unpacks the source bundle and changes in to the represented by
# %{name} which in this case would be my_maintenance_scripts. So your source bundle
# needs to have a top level directory inside called my_maintenance _scripts
%setup -n %{name}

%build
# this section is empty for this example as we're not actually building anything

%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
mkdir -p $RPM_BUILD_ROOT/opt/fastcgi-wrapper/bin
mkdir -p $RPM_BUILD_ROOT/opt/fastcgi-wrapper/scripts

install -m 755 fastcgi-wrapper      $RPM_BUILD_ROOT/etc/init.d/
install -m 755 fastcgi-wrapper.pl   $RPM_BUILD_ROOT/opt/fastcgi-wrapper/bin/

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_tmppath}/%{name}
rm -rf %{_topdir}/BUILD/%{name}

%pre
/usr/bin/getent passwd fastcgi || /usr/sbin/useradd -r -d /opt/fastcgi-wrapper -s /sbin/nologin fastcgi
/usr/bin/getent group fastcgi || /usr/sbin/groupadd -r fastcgi

%post
chkconfig --add fastcgi-wrapper
chkconfig fastcgi-wrapper on

# list files owned by the package here
%files
%defattr(-,fastcgi-wrapper,fastcgi-wrapper)
%attr(755,root,root) /etc/init.d/fastcgi-wrapper
/opt/fastcgi-wrapper/bin/fastcgi-wrapper.pl
%dir /opt/fastcgi-wrapper/scripts

%changelog
* Thu Oct 16 2014  Doug Young
- 1.0-3 fix rename user

* Thu Oct 16 2014  Doug Young
- 1.0-2 rename user

* Wed Oct 15 2014  Doug Young
- 1.0-1 binary repackage
